@font-face{
    font-family:'Kanit';
    src:local("☺"),url("fonts/Kanit-Black.ttf") format("truetype");
    font-weight:900;
    font-style:normal
}

@font-face{
    font-family:'Kanit';
    src:local("☺"),url("fonts/Kanit-Bold.ttf") format("truetype");
    font-weight:700;
    font-style:normal
}

@font-face{
    font-family:'Kanit';
    src:local("☺"),url("fonts/Kanit-Regular.ttf") format("truetype");
    font-weight:400;
    font-style:normal
}

@font-face{
    font-family:'Kanit';
    src:local("☺"),url("fonts/Kanit-Light.ttf") format("truetype");
    font-weight:300;
    font-style:normal
}

@font-face{
    font-family:'Kanit';
    src:local("☺"),url("fonts/Kanit-ExtraLight.ttf") format("truetype");
    font-weight:200;
    font-style:normal
}

html{
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

body{
    margin: 0;
    background: black;
}

article,aside,details,figcaption,figure,footer,hgroup,main,menu,nav,section,summary{
    display: block;
}

audio,canvas,progress,video{
    display: inline-block;
    vertical-align: baseline;
}

audio:not([controls]){
    display: none;
    height: 0;
}

[hidden],template{
    display:none
}

a{
    background-color:transparent;
    display: inline-block;
}

a:active,a:hover{
    outline:0
}

abbr[title]{
    border-bottom:1px dotted
}

b,strong{
    font-weight:bold
}

dfn{
    font-style:italic
}

h1{
    font-size:2em;
    margin:0.67em 0
}

mark{
    background:#ff0;
    color:#000
}

small{
    font-size:80%
}

sub,sup{
    font-size:75%;
    line-height:0;
    position:relative;
    vertical-align:baseline
}

sup{
    top:-0.5em
}

sub{
    bottom:-0.25em
}

img{
    border:0
}

svg:not(:root){
    overflow:hidden
}

figure{
    margin:1em 40px
}

hr{
    box-sizing:content-box;
    height:0
}

pre{
    overflow:auto
}

code,kbd,pre,samp{
    font-family:monospace, monospace;
    font-size:1em
}

button,input,optgroup,select,textarea{
    color:inherit;
    font:inherit;
    margin:0
}

button{
    overflow:visible
}

button,select{
    text-transform:none
}

button,html input[type="button"],input[type="reset"],input[type="submit"]{
    -webkit-appearance:button;
    cursor:pointer
}

button[disabled],html input[disabled]{
    cursor:default
}

button::-moz-focus-inner,input::-moz-focus-inner{
    border:0;
    padding:0
}

input{
    line-height:normal
}

input[type="checkbox"],input[type="radio"]{
    box-sizing:border-box;
    padding:0
}

input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{
    height:auto
}

input[type="search"]{
    -webkit-appearance:textfield;
    box-sizing:content-box
}

input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{
    -webkit-appearance:none
}

fieldset{
    border:1px solid #c0c0c0;
    margin:0 2px;
    padding:0.35em 0.625em 0.75em
}

legend{
    border:0;
    padding:0
}

textarea{
    overflow:auto
}

optgroup{
    font-weight:bold
}

table{
    border-collapse:collapse;
    border-spacing:0
}

td,th{
    padding:0
}

::-moz-selection{
    background:#FFF498
}

::selection{
    background:#FFF498
}

::-moz-selection{
    background:#FFF498
}

img::-moz-selection{
    background:transparent
}

img::selection{
    background:transparent
}

img::-moz-selection{
    background:transparent
}

body{
    -webkit-tap-highlight-color:#FFF498
}

body{
    background-color:#0c0c0c;
    font-size:14px;
    line-height:1.6;
    font-family:"Kanit",sans-serif;
    color:#fff;
    -webkit-font-smoothing:antialiased;
    -webkit-text-size-adjust:100%
}

.l-viewport{
    position:relative;
    width:100%;
    height:100vh;
    box-shadow:0 0 45px 5px rgba(0,0,0,0.85);
    overflow:hidden
}

.l-wrapper{
    position: absolute;
    width: 100%;
    max-width:95%;
    height: 95%;
    margin:0 10% 0 5%;
    display: flex;
    bottom: 0;
}

.l-side-nav{
    position: relative;
    margin-right: 13vw;
    left:0;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    height:100%;
    -webkit-box-align:center;
    -webkit-align-items:center;
    -ms-flex-align:center;
    align-items: center;
}

.l-side-nav::after{
    content:"";
    position:absolute;
    top:50%;
    right:0;
    -webkit-transform:translateY(-50%);
    transform:translateY(-50%);
    width:2px;
    height:70%;
    max-height:750px;
    background-color:#555;
    opacity:.35;
    z-index:1;
}


.l-main-content{
    position:relative;
    width:100%;
    height:100%;
    margin:0;
    padding:0;
    list-style:none
}

.l-section{
    position:absolute;
    width:100%;
    height:100%
}

.section{
    opacity:0;
    visibility:hidden;
    -webkit-transition:opacity .4s ease-in-out,visibility 0s .4s;
    transition:opacity .4s ease-in-out,visibility 0s .4s
}

.section--is-active{
    opacity:1;
    visibility:visible;
    z-index:1;
    -webkit-transition:opacity .4s ease-in-out .4s;
    transition:opacity .4s ease-in-out .4s
}

.section--next{
    -webkit-transform:translateY(-45px);
    transform:translateY(-45px);
    -webkit-transition:-webkit-transform .4s ease-in-out;
    transition:-webkit-transform .4s ease-in-out;
    transition:transform .4s ease-in-out;
    transition:transform .4s ease-in-out, -webkit-transform .4s ease-in-out
}

.section--prev{
    -webkit-transform:translateY(45px);
    transform:translateY(45px);
    -webkit-transition:-webkit-transform .4s ease-in-out;
    transition:-webkit-transform .4s ease-in-out;
    transition:transform .4s ease-in-out;
    transition:transform .4s ease-in-out, -webkit-transform .4s ease-in-out
}

.header {
    position: absolute;
    top: 2%;
    left:0;
    width:100%;
    height:20px;
    display: flex;
    z-index: 10;
}

.header a,
.header img {
    color: white;
    text-decoration: white;
    opacity: 0.8;
    -webkit-transition: opacity 10ms ease-in-out;
    transition: opacity 200ms ease-in-out;
}

.header a:hover,
.header img:hover {
    opacity: 1;
}

.header .header-jizt {
    margin-left: 25px;
    cursor: pointer;
}

.header .header-docs-github {
    display: flex;
    margin-right: 25px;
    position: absolute;
    right: 0;
    white-space: nowrap;
    justify-content: space-between;
    font-size: 0.95rem;
}

.header .header-docs-github a:not(:last-child) {
    margin-right: 25px;
}

.header a {
    height: 100%;
    width: auto;
}

.header img {
    height: 100%;
    width: auto;
}

.footer {
    width: 100%;
    position: absolute;
    bottom: 10px;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0.8;
    z-index: 1;
}

.footer .swipe-up-icon {
    height: 0.7rem;
    margin-bottom: 2px;
}

.side-nav{
    position:relative;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    width:120px;
    height:70%;
    max-height:750px;
    -webkit-box-orient:vertical;
    -webkit-box-direction:normal;
    -webkit-flex-direction:column;
    -ms-flex-direction:column;
    flex-direction:column;
    -webkit-justify-content:space-around;
    -ms-flex-pack:distribute;
    justify-content:space-around;
    padding:0;
    z-index:10;
    text-align: right;
    list-style: none;
}

.side-nav>li{
    position:relative;
    margin-left: -2px;
    color:#fff;
    cursor:pointer;
}

.side-nav>li span{
    position:relative;
    display: inline list-item;
    color:#fff;
    font-size:14px;
    opacity:0.6;
    font-size: 1rem;
}

.side-nav>li span::after{
    margin: 0px -1.2px 2px 20px;
    width: 4px;
    height: 4px;
    content: '';
    display: inline-block;
    -moz-border-radius: 7.5px;
    -webkit-border-radius: 7.5px;
    border-radius: 7.5px;
    background-color: #ffffff;
    z-index: 2;
    opacity: 0.8;
}

.side-nav>li.is-active span::after{
    background-color:#3367FE;
    opacity: 1;
}

.side-nav li.is-active{
    -webkit-transition:color .4s ease-in-out;
    transition:color .4s ease-in-out;
    font-weight: 600;
}

.side-nav li.is-active span{
    opacity:1;
    visibility:visible;
    -webkit-transition:opacity .4s ease-in-out;
    transition:opacity .4s ease-in-out;
}
.side-nav li.is-active::before{
    left:-33px;
}
.intro{
    position:relative;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    height:100%;
    -webkit-box-orient:vertical;
    -webkit-box-direction:normal;
    -webkit-flex-direction:column;
    -ms-flex-direction:column;
    flex-direction:column;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
}
.intro--banner{
    position:relative;
    height: 80%;
    display: flex;
    margin-top: -35px;
    align-items: center;
}

.intro--banner * {
    position: relative;
}
.intro--banner h1{
    margin-top: 0px;
    font-size:68px;
    font-weight: 500;
    line-height:1;
    z-index:1
}
.intro--banner h1:not(:last-child) {
    width: 100%;
    margin-bottom: 0px;
    font-weight: 200;
    font-size: 3.7em;
}

.intro--banner .cover {
    display: flex;
    widt100%;
    align-items: center;
}

.intro--banner .intro-message {
    max-width: 100%;
    white-space: nowrap;
    z-index: 1;
}

.intro--banner .intro-visual {
    right: 0;
    height: 80vh;
    width: auto;
    pointer-events: none;
    -webkit-transform:translateX(-20%);
    transform: translateX(-20%);
}

.intro-message .badges {
    position: relative;
    width: 77%;
    height: 47px;
    margin: 0px;
    display: inline-block;
}

.intro-message .badges a {
    height: 100%;
}

.intro-message .badges a:last-child {
    position: absolute;
    right: 0;
}

.intro--banner .google-play-badge,
.intro--banner .browser-badge {
    height: 47px;
    opacity: 0.85;
    -webkit-transition: opacity 150ms ease-in-out;
    transition: opacity 150ms ease-in-out;
}


.intro--banner .google-play-badge:hover,
.intro--banner .browser-badge:hover {
    opacity: 1;
}
.intro--options{
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    -webkit-box-pack:justify;
    -webkit-justify-content:space-between;
    -ms-flex-pack:justify;
    justify-content:space-between;
    margin:0;
    padding:0;
    list-style:none
}
.intro--options>a{
    max-width:250px;
    text-decoration:none;
    color:#282828;
    -webkit-transition:color .2s ease-in-out;
    transition:color .2s ease-in-out
}
.intro--options>a:hover{
    color:#fff
}
.intro--options h3{
    font-size:16px;
    text-transform:uppercase
}
.intro--options p{
    margin-bottom:0
}

.screenshot{
    position:relative;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    width:960px;
    max-width:80%;
    height:100%;
    -webkit-box-orient:vertical;
    -webkit-box-direction:normal;
    -webkit-flex-direction:column;
    -ms-flex-direction:column;
    flex-direction:column;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
    margin: 0 auto 0 0;
}

.screenshot h2{
    margin:0 0 20px 0;
    font-size: 2.5rem;
    text-align: center;
    font-weight: 500;
}

.screenshot--lockup{
    position:relative;
    height: 75%;
}
.screenshot--lockup .slider{
    position:relative;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    width:80%;
    height: 95%;
    margin:0 auto;
    padding:0;
    list-style:none
}
.screenshot--lockup .slider--item{
    position:absolute;
    height: 100%;
    display:none;
    text-align:center
}
.screenshot--lockup .slider--item-title{
    height: auto;
    display: none;
    margin-top: 10px;
    margin-bottom: 0;
    font-weight: 400;
    font-size: 0.9rem;
    text-transform:uppercase;
    color: #fff;
}
.screenshot--lockup .slider--item-description{
    display:none;
    margin:0 auto;
    font-weight: 300;
    font-size: 1rem;
}
.screenshot--lockup .slider--item-image{
    height: 100%;
    width: 100%;
    margin:0 auto;
    overflow:hidden
}
.screenshot--lockup .slider--item-image img{
    height: 100%;
}
.screenshot--lockup .slider--item-left{
    height: 60%;
    top:50%;
    left:0;
    -webkit-transform:translateY(-50%);
    transform:translateY(-50%);
    display:block;
    filter: brightness(0.3);
}
.screenshot--lockup .slider--item-right{
    height: 60%;
    top:50%;
    right:0;
    -webkit-transform:translateY(-50%);
    transform:translateY(-50%);
    display:block;
    filter: brightness(0.3);
}

.screenshot--lockup .slider--item-center{
    position:relative;
    width: 100%;
    top:30px;
    left:50%;
    -webkit-transform:translateX(-50%);
    transform:translateX(-50%);
    display:block;
    z-index: 1;
}

.screenshot--lockup .slider--item-center .slider--item-title{
    display: block;
    margin-top:25px;
    font-size: 1.2rem;
}
.screenshot--lockup .slider--item-center .slider--item-description{
    display:block;
    color: #cecece;
}
.screenshot--lockup .slider--item-center .slider--item-image{
    height: 80%;
}
.screenshot--lockup .slider--next,.screenshot--lockup .slider--prev{
    position:absolute;
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    width:50px;
    height:50px;
    -webkit-box-align:center;
    -webkit-align-items:center;
    -ms-flex-align:center;
    align-items:center;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
    background-color:#282828;
    border-radius:50%;
    cursor:pointer
}
.screenshot--lockup .slider--next svg,.screenshot--lockup .slider--prev svg{
    width:20px;
    fill:#fff
}
.screenshot--lockup .slider--next{
    right:0
}
.screenshot--lockup .slider--prev{
    left:0
}

.about,
.contribute{
    position: relative;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background-image:url("../img/contribute-visual.png");
    background-position:center;
    background-size:cover;
    background-repeat:no-repeat
}

.about--lockup,
.contribute--lockup {
    position:relative;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    max-width:75%;
    height:100%;
    -webkit-box-align:center;
    -webkit-align-items:center;
    -ms-flex-align:center;
    align-items:center;
    justify-content: center;
    margin:0 10% 0 0;
    background: no-repeat bottom/100% url("../img/footer-bg.png");
}

.about--lockup .about-container,
.contribute--lockup .contribute-container {
    height: 100%;
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: justify;
}

.about--lockup .about-container h2,
.contribute--lockup .contribute-container h2 {
    margin: -5% 0 5% 0;
    font-size: 2.5rem;
    font-weight: 500;
    text-align: center;
}

.about--lockup .about-container p,
.contribute--lockup .contribute-container p {
    width: 80%;
    font-size: 1.15rem;
    font-weight: 300;
}

.about--lockup .about-container a {
    color: white;
    text-decoration: underline;
}

.contribute--lockup .contribute-container p:first-of-type {
    font-weight: 600;
}

.contribute-container .links-container {
    margin-top: 1%;
    display: flex;
    flex-direction: column;
}

.links-container a:not(:last-child) {
    margin-bottom: 5%;
}

.links-container div {
    display: flex;
    align-items: center;
    opacity: 1;
    transition: opacity 200ms ease-in-out;
}

.links-container div:hover {
    opacity: 0.83;
}

.links-container img {
    width: 1rem;
    margin-right: 15px;
}

.contribute-container span {
    color: white;
    text-decoration: none;
    font-size: 1rem;
}

.jizt-demos {
    text-align: center;
}

.demos-main-container {
    height: 100vh;
    width: 100vw;
    position: relative;
    overflow: hidden;
}

.demos-main-container > a {
    margin: 1em;
    font-size: 0.9em;
    text-decoration: none;
    color: white;
}

.demos-container {
    height: 70%;
    width: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.videos-container {
    min-width: 70%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    margin: 0;
    background-color: rgb(29, 29, 29);
    border-radius: 1.2em;
}

.videos-container div {
    margin: 1.2em 3.2em;
    color: white;
    font-size: 1.1em;
    display: list-item;
    list-style-type: decimal;
}

.videos-container a {
    color: white;
}

.videos-container a:hover {
    opacity: 0.7;
    transition: opacity 200ms ease-in-out;
}

.demo-video {
    height: 100vh;
}

@media (max-width: 1100px){
    .l-side-nav {
        display: none;
    }

    .footer {
        display: flex;
    }

    .l-wrapper {
        position: absolute;
        width: 100%;
        max-width: none;
        margin: 0;
    }

    .screenshot {
        margin: 0 auto;
    }

    .cover {
        margin: 0 10%;
    }

    .about--lockup,
    .contribute--lockup {
        margin: 0 auto;
        max-width: none;
    }

    .about--lockup .about-container,
    .contribute--lockup .contribute-container {
        margin: 0 auto;
    }
}

@media (max-width: 800px){
    .header {
        position: relative;
    }

    .intro--banner {
        justify-content: center;
    }

    .intro--banner h1:not(:last-child) {
        font-size: 2rem;
    }

    .intro--banner h1:last-child {
        font-size: 3rem;
        margin-bottom: 20%;
    }

    .intro--banner .cover {
        height: 100%;
    }

    .intro--banner {
        height: 100%;
    }

    .intro-message .badges img {
        opacity: 1;
    }

    .intro--banner .intro-message {
        white-space: normal;
    }

    .intro-message .badges a:last-child {
        position: relative;
    }

    .intro-message .badges .browser-badge {
        margin-bottom: 10px;
    }

    .intro--banner .intro-visual {
        position: absolute;
        right: -58%;
        -webkit-transform: none;
        transform: none;
        opacity: 0.8;
        bottom: -2%;
    }

    .screenshot {
        max-width: 95%;
    }

    .screenshot h2 {
        font-size: 1.5rem;
    }

    .screenshot--lockup {
        height: 60%;
    }

    .about--lockup,
    .contribute--lockup {
        max-width: 100%;
        margin: 0;
    }

    .about--lockup .about-container,
    .contribute--lockup .contribute-container {
        width: 100%;
    }

    .contribute-container .links-container {
        width: 60%;
    }

    .about--lockup .about-container h2,
    .contribute--lockup .contribute-container h2 {
        font-size: 1.5rem;
    }

    .about--lockup .about-container p,
    .contribute--lockup .contribute-container p {
        font-size: 1rem;
    }
}

@media (min-aspect-ratio: 2/1) and (max-height: 600px) {
    .intro--banner .cover {
        width: 80%;
    }

    .intro--banner h1:last-child {
        margin-bottom: 10%;
    }

    .intro--banner .intro-visual {
        right: 0;
        height: 100vh;
    }

    .screenshot h2 {
        font-size: 1.5rem;
        margin-bottom: 0;
        margin-top: -10%;
    }

    .screenshot--lockup {
        height: 60%;
    }

    .about--lockup,
    .contribute--lockup {
        max-width: 100%;
    }

    .about--lockup .about-container,
    .contribute--lockup .contribute-container {
        width: 100%;
        margin: 0;
    }

    .about--lockup .about-container h2,
    .contribute--lockup .contribute-container h2{
        margin: 0;
        font-size: 1.5rem;
        font-weight: 600;
    }

    .about--lockup .about-container p,
    .contribute--lockup .contribute-container p {
        width: 90%;
        margin: 1% 0;
    }

    .contribute-container .links-container {
        width: 60%;
        flex-direction: row;
        flex-flow: wrap;
    }

    .links-container a:not(:last-child) {
        margin-right: 5%;
        margin-bottom: 2%;
    }

    .links-container a:nth-child(3) {
        margin-right: 6.4%;
    }

}

@media (max-width: 700px) and (max-height: 1000px){
    .screenshot h2 {
        margin-top: -20%;
    }
}

@media (max-width: 400px) and (max-height: 620px){
    .contribute--lockup .contribute-container p,
    .contribute--lockup .contribute-container p {
        width: 90%;
        margin: 1% 0;
    }

    .contribute--lockup .contribute-container span {
        font-size: 0.8rem;
    }

    .links-container a:not(:last-child) {
        margin-bottom: 1%;
    }
}
